using static System.Console;

// pętla z instrukcję while

int x = 0;

while (x < 10)
{
  WriteLine(x);
  x++;
}

// Pętla z instrukcją do

string? haslo;
int liczbaProb = 0;

do
{
  liczbaProb++;
  Write("Podaj swoje hasło: ");
  haslo = ReadLine();
}
while ((haslo != "sekret") & (liczbaProb < 10));

if (liczbaProb < 10)
{
  WriteLine("Tak jest!!");
}
else
{
  WriteLine("Wtkorzystano już 10 prób!");
}

// Pętla z instrukcją for

for (int y = 1; y <= 10; y++)
{
  WriteLine(y);
}

// Pętla z instrukcją foreach

string[] imiona = { "Maria", "Bartek", "Dariusz" };

foreach (string imie in imiona)
{
  WriteLine($"{imie} ma {imie.Length} znaków.");
}
